QSqlRecordInfo(3qt)

NAME
QSqlRecordInfo - Encapsulates a set of database field meta data

SYNOPSIS
#include <qsqlrecord.h>

  Public Members
QSqlRecordInfo ()
QSqlRecordInfo ( const QSqlFieldInfoList & other )
QSqlRecordInfo ( const QSqlRecord & other )
size_type contains ( const QString & fieldName ) const
QSqlFieldInfo find ( const QString & fieldName ) const
QSqlRecord toRecord () const

DESCRIPTION
The QSqlRecordInfo class encapsulates a set of database field meta data.

This class is a QValueList that holds a set of database field meta data. Use contains() to see if a given field name exists in the record, and use find() to get a QSqlFieldInfo record for a named field.

See also QValueList, QSqlFieldInfo and Database Classes.

MEMBER FUNCTION DOCUMENTATION

QSqlRecordInfo::QSqlRecordInfo ()
Constructs an empty recordinfo object

QSqlRecordInfo::QSqlRecordInfo ( const QSqlFieldInfoList & other )
Constructs a copy of other.

QSqlRecordInfo::QSqlRecordInfo ( const QSqlRecord & other )
Constructs a QSqlRecordInfo object based on the fields in the QSqlRecord other.

size_type QSqlRecordInfo::contains ( const QString & fieldName ) const
Returns the number of times a field named fieldName occurs in the record. Returns 0 if no field by that name could be found.

QSqlFieldInfo QSqlRecordInfo::find ( const QString & fieldName ) const
Returns a QSqlFieldInfo object for the first field in the record which has the field name fieldName. If no matching field is found then an empty QSqlFieldInfo object is returned.

QSqlRecord QSqlRecordInfo::toRecord () const
Returns an empty QSqlRecord based on the field information in this QSqlRecordInfo.

SEE ALSO
http://doc.trolltech.com/qsqlrecordinfo.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qsqlrecordinfo.3qt) and the Qt version (3.0.3).